VB 连接AutoCad 模块代码

<span style="font-family: Arial,Helvetica,sans-serif;">
</span>
<span style="font-family: Arial,sans-serif;">Option Explicit</span>
Public acadapp As AcadApplication

Public Sub 连接autocad()
On Error Resume Next
Set acadapp = Getobject(,"autocad.applicatior")
If Err Then
    Err.Clear
    Set acadapp = creatobject("autocad.application")
    If Err Then
        MsgBox ("不能运行AutoCad,请检查是否装了AutoCad")
        Exit Sub
    End If
End If
acadapp.Visible = True
End Sub

方法2:

Dim acadapp As AcadApplication   '在窗体代码声明段定义acadapp

Private Sub Form_Load()

On Error Resume Next
Set acadapp = Getobject(,"autocad.application")
If Err Then
    Err.Clear
    Set acadapp = CreateObject("autocad.application")
    If Err Then
        MsgBox ("不能运行AutoCad,请检查是否安装了CAD")
        Exit Sub
    End If
End If
acadapp.Visible = True

End Sub

相关文章

Format[$] ( expr [ , fmt ] ) format 返回变体型 format$ 强...
VB6或者ASP 格式化时间为 MM/dd/yyyy 格式,竟然没有好的办...
在项目中添加如下代码:新建窗口来显示异常信息。 Namespace...
转了这一篇文章,原来一直想用C#做k3的插件开发,vb没有C#用...
Sub 分列() ‘以空格为分隔符,连续空格只算1个。对所选...
  窗体代码 1 Private Sub Text1_OLEDragDrop(Data As Dat...